FreeBSD:FreeBSD -- Linux 相容性層中的核心堆疊洩漏 (7c5d64dd-600a-11e6-a6c3-14dae9d210b8)

high Nessus Plugin ID 92925
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 FreeBSD 主機缺少一個或多個安全性相關更新。

描述

TIOCGSERIAL ioctl(2) 的實作未清除輸出結構,便將其往外複製到 userland。

Linux sysinfo() 系統呼叫的實作未清除輸出結構,便將其往外複製到 userland。影響:無權限的使用者可讀取一部分未初始化的核心堆疊資料 (其中可能包含堆疊防護等敏感資訊)、部分檔案快取或終端機緩衝區,而攻擊者可能利用此問題取得提升的權限。

解決方案

更新受影響的套件。

另請參閱

http://www.nessus.org/u?2f4b0592

Plugin 詳細資訊

嚴重性: High

ID: 92925

檔案名稱: freebsd_pkg_7c5d64dd600a11e6a6c314dae9d210b8.nasl

版本: 2.4

類型: local

已發布: 2016/8/12

已更新: 2021/1/4

相依性: ssh_get_info.nasl

組態: 啟用 Paranoid 模式

弱點資訊

CPE: p-cpe:/a:freebsd:freebsd:FreeBSD, cpe:/o:freebsd:freebsd

必要的 KB 項目: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info, Settings/ParanoidReport

修補程式發佈日期: 2016/8/11

弱點發布日期: 2016/5/31

參考資訊

FreeBSD: SA-16:20.linux